org.apache.tinkerpop.gremlin.process.traversal.step.filter

## Class FilterTest.Traversals

- java.lang.Object
- - org.apache.tinkerpop.gremlin.AbstractGremlinTest
  - - org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest
    - - org.apache.tinkerpop.gremlin.process.traversal.step.filter.FilterTest
      - - org.apache.tinkerpop.gremlin.process.traversal.step.filter.FilterTest.Traversals

- Enclosing class:
    FilterTest

      public static class FilterTest.Traversals
      extends FilterTest

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.filter.FilterTest

      `FilterTest.Traversals`

  - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `config, g, graph, graphProvider, name, shouldTestIteratorLeak`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Traversals()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Traversal<Edge,Edge>` | `get_g_E_filterXfalseX()`
    `Traversal<Edge,Edge>` | `get_g_E_filterXtrueX()`
    `Traversal<Vertex,Vertex>` | `get_g_V_filterXfalseX()`
    `Traversal<Vertex,Vertex>` | `get_g_V_filterXlang_eq_javaX()`
    `Traversal<Vertex,Vertex>` | `get_g_V_filterXname_startsWith_m_OR_name_startsWith_pX()`
    `Traversal<Vertex,Vertex>` | `get_g_V_filterXtrueX()`
    `Traversal<Vertex,Vertex>` | `get_g_VX1X_filterXage_gt_30X(Object v1Id)`
    `Traversal<Vertex,Vertex>` | `get_g_VX1X_out_filterXage_gt_30X(Object v1Id)`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.filter.FilterTest

      `g_E_filterXfalseX, g_E_filterXtrueX, g_V_filterXfalseX, g_V_filterXlang_eq_javaX, g_V_filterXname_startsWith_m_OR_name_startsWith_pX, g_V_filterXtrueX, g_VX1X_filterXage_gt_30X, g_VX1X_out_filterXage_gt_30X, g_VX2X_filterXage_gt_30X`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest

      `checkMap, checkOrderedResults, checkResults, checkResults, checkSideEffects, graphMeetsTestRequirements, hasGraphComputerRequirement, makeMapList, setupTest`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `afterLoadGraphWith, assertVertexEdgeCounts, beforeLoadGraphWith, convertToEdge, convertToEdgeId, convertToEdgeId, convertToVertex, convertToVertex, convertToVertexId, convertToVertexId, convertToVertexProperty, convertToVertexPropertyId, convertToVertexPropertyId, getAssertVertexEdgeCounts, printTraversalForm, setup, tearDown, tryCommit, tryCommit, tryRollback, validateException, verifyUniqueStepIds`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Traversals

          public Traversals()

  - ### Method Detail

    - #### get_g_V_filterXfalseX

          public Traversal<Vertex,Vertex> get_g_V_filterXfalseX()

      Specified by:
        `get_g_V_filterXfalseX` in class `FilterTest`

    - #### get_g_V_filterXtrueX

          public Traversal<Vertex,Vertex> get_g_V_filterXtrueX()

      Specified by:
        `get_g_V_filterXtrueX` in class `FilterTest`

    - #### get_g_V_filterXlang_eq_javaX

          public Traversal<Vertex,Vertex> get_g_V_filterXlang_eq_javaX()

      Specified by:
        `get_g_V_filterXlang_eq_javaX` in class `FilterTest`

    - #### get_g_VX1X_filterXage_gt_30X

          public Traversal<Vertex,Vertex> get_g_VX1X_filterXage_gt_30X(Object v1Id)

      Specified by:
        `get_g_VX1X_filterXage_gt_30X` in class `FilterTest`

    - #### get_g_VX1X_out_filterXage_gt_30X

          public Traversal<Vertex,Vertex> get_g_VX1X_out_filterXage_gt_30X(Object v1Id)

      Specified by:
        `get_g_VX1X_out_filterXage_gt_30X` in class `FilterTest`

    - #### get_g_V_filterXname_startsWith_m_OR_name_startsWith_pX

          public Traversal<Vertex,Vertex> get_g_V_filterXname_startsWith_m_OR_name_startsWith_pX()

      Specified by:
        `get_g_V_filterXname_startsWith_m_OR_name_startsWith_pX` in class `FilterTest`

    - #### get_g_E_filterXfalseX

          public Traversal<Edge,Edge> get_g_E_filterXfalseX()

      Specified by:
        `get_g_E_filterXfalseX` in class `FilterTest`

    - #### get_g_E_filterXtrueX

          public Traversal<Edge,Edge> get_g_E_filterXtrueX()

      Specified by:
        `get_g_E_filterXtrueX` in class `FilterTest`

Copyright © 2013–2022 Apache Software Foundation. All rights reserved.